Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.surfaceUI
Interface SurfaceUI

All Superinterfaces:
  Surface, SurfaceWrapper

All Known Implementing Classes:
  AbstractSurfaceUI

public interface SurfaceUI
extends Surface, SurfaceWrapper

The SurfaceUI interface is implemented by classes that represent a Surface object that can be used in an application with a user interface.

Method Summary
`void` | `draw(java.awt.Graphics g, Camera camera)` Draws a simple representation of the Surface represented by this SurfaceUI object on the specified Graphics object using the viewing settings of the specified Camera object.
`Dialog` | `getDialog()` Returns a Dialog object that can be used to specify extra information about this SurfaceUI object, or null if no such dialog is required.
`javax.swing.Icon` | `getIcon()`
`java.lang.String` | `getName()` Returns the name of this SurfaceUI object as a String object.
`java.lang.String` | `getType()` Returns the name of the type of surface that this SurfaceUI object represents as a String object.
`boolean` | `hasDialog()` Returns true if extra information about this SurfaceUI object can be specified through a dialog, false otherwise.
`void` | `setName(java.lang.String name)` Sets the name of this SurfaceUI object to the name specified.

Methods inherited from interface threeD.raytracer.engine.Surface
`getColorAt, getNormalAt, getShadeBack, getShadeFront, intersect, intersectAt, shade`

Methods inherited from interface threeD.raytracer.engine.SurfaceWrapper
`getSurface`

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of this SurfaceUI object to the name specified.

### getName

    public java.lang.String getName()

  Returns the name of this SurfaceUI object as a String object.

### getType

    public java.lang.String getType()

  Returns the name of the type of surface that this SurfaceUI object represents as a String object.

### hasDialog

    public boolean hasDialog()

  Returns true if extra information about this SurfaceUI object can be specified through a dialog, false otherwise.

### getDialog

    public Dialog getDialog()

  Returns a Dialog object that can be used to specify extra information about this SurfaceUI object, or null if no such dialog is required.

### getIcon

    public javax.swing.Icon getIcon()

  Returns:
    An Icon object that should be used to represent this surface.

### draw

    public void draw(java.awt.Graphics g,
                     Camera camera)

  Draws a simple representation of the Surface represented by this SurfaceUI object on the specified Graphics object using the viewing settings of the specified Camera object.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray